require 'toni'
require 'toni/sinatra'
require 'sinatra'
require 'CGI'
require './user'

class AuthorizationApp < Sinatra::Base
  register Toni::Sinatra

  before do
    # Set user after authentication
    Toni.current_user = User.new
  end

  not_authorized do |e|
    # Map NotAuthorizedError to 403
    halt 403, CGI.escapeHTML(e.message)
  end

  set :show_exceptions, false

  get '/' do
    permitted_to(:read, :books, bang: false) do
      "You can read books!"
    end
  end

  get '/create' do
    permitted_to(:create, :books) do
      "You can create books"
    end
  end
end