require "spec_helper"

describe "Authorization Rules" do
  describe "user" do
    it "is permitted to read books" do
      user = double("user", role_symbols: [:user])
      expect(user).to have_permission_on :books, to: :read
    end
    it "is not permitted to create books" do
      user = double("user", role_symbols: [:user])
      expect(user).to_not have_permission_on :books, to: :create
    end
  end
  describe "admin" do
    it "is permitted to create books" do
      user = double("user", role_symbols: [:admin])
      expect(user).to have_permission_on :books, to: :create
    end
  end
end