# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'toni/version'

Gem::Specification.new do |spec|
  spec.name          = "toni"
  spec.version       = Toni::VERSION
  spec.authors       = ["Jalyna"]
  spec.email         = ["jalyna.schroeder@gmail.com"]
  spec.description   = %q{Ruby Authorization Gem using Role Based Access Control}
  spec.summary       = %q{Enables you to create a centralized authorization 
                        rules configuration, similar to declarative authorization, 
                        but not bound to Ruby on Rails. Internally the Gem is using 
                        RSpec Matchers.}
  spec.homepage      = "https://github.com/jalyna/toni"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "rspec-expectations"
  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "activerecord", "~> 4.1"
  spec.add_development_dependency "rails", "~> 4.1"
  spec.add_development_dependency "sinatra"
end
